IO::Fourti2 Namespace Reference

## Functions

void | writeRing (const VarNames &names, FILE *out)
void | writeRingWithoutHeader (const VarNames &names, FILE *out)
void | readTerm (Scanner &in, InputConsumer &consumer)
void | readRing (Scanner &in, VarNames &names)
void | readRing (Scanner &in, VarNames &names, size_t varCount)
void | writeTerm (const vector< mpz_class > &term, FILE *out)
void | writeTerm (const Term &term, const TermTranslator &translator, FILE *out)
void | readIdeal (Scanner &in, InputConsumer &consumer, size_t generatorCount, size_t varCount)
| The parsing of the header with the number of generators and variables has to be separate from the code below reading the rest of the ideal, since in some contexts what looks like the header of an ideal could be a ring description, while in other contexts this cannot happen.
void | readSatBinomIdeal (Scanner &in, SatBinomConsumer &consumer, size_t generatorCount, size_t varCount)
void | display4ti2Warning ()

## Function Documentation

## display4ti2Warning()

void IO::Fourti2::display4ti2Warning | ( |  | ) |

Definition at line 427 of file Fourti2IOHandler.cpp.

## readIdeal()

void IO::Fourti2::readIdeal | ( | Scanner & | in,
|  | InputConsumer & | consumer,
|  | size_t | generatorCount,
|  | size_t | varCount )

The parsing of the header with the number of generators and variables has to be separate from the code below reading the rest of the ideal, since in some contexts what looks like the header of an ideal could be a ring description, while in other contexts this cannot happen.

The code below is the common code for these two cases.

Definition at line 375 of file Fourti2IOHandler.cpp.

## readRing() [1/2]

void IO::Fourti2::readRing | ( | Scanner & | in,
|  | VarNames & | names )

Definition at line 328 of file Fourti2IOHandler.cpp.

## readRing() [2/2]

void IO::Fourti2::readRing | ( | Scanner & | in,
|  | VarNames & | names,
|  | size_t | varCount )

Definition at line 334 of file Fourti2IOHandler.cpp.

## readSatBinomIdeal()

void IO::Fourti2::readSatBinomIdeal | ( | Scanner & | in,
|  | SatBinomConsumer & | consumer,
|  | size_t | generatorCount,
|  | size_t | varCount )

Definition at line 400 of file Fourti2IOHandler.cpp.

## readTerm()

void IO::Fourti2::readTerm | ( | Scanner & | in,
|  | InputConsumer & | consumer )

Definition at line 312 of file Fourti2IOHandler.cpp.

## writeRing()

void IO::Fourti2::writeRing | ( | const VarNames & | names,
|  | FILE * | out )

Definition at line 294 of file Fourti2IOHandler.cpp.

## writeRingWithoutHeader()

void IO::Fourti2::writeRingWithoutHeader | ( | const VarNames & | names,
|  | FILE * | out )

Definition at line 299 of file Fourti2IOHandler.cpp.

## writeTerm() [1/2]

void IO::Fourti2::writeTerm | ( | const Term & | term,
|  | const TermTranslator & | translator,
|  | FILE * | out )

Definition at line 351 of file Fourti2IOHandler.cpp.

## writeTerm() [2/2]

void IO::Fourti2::writeTerm | ( | const vector< mpz_class > & | term,
|  | FILE * | out )

Definition at line 340 of file Fourti2IOHandler.cpp.